<template>
  <div class="row">
    <div class="col-6">
      <ac-simple-card
        :data="example_card_data.data"
        :img="example_card_data.img"
        :card_title="example_card_data.card_title"
        :card_text="example_card_data.card_text"
        :bulk="example_card_data.bulk"
        :a_href="example_card_data.a_href"
        @hover="event_test"
        @click="event_test"
      >
        <template #hover>
          <div class="hover-div">HOVER</div>
        </template>
      </ac-simple-card>
    </div>
  </div>
</template>

<script>
export default {
  data: function() {
    return {
      example_card_data: {
        data: {
          id: 1,
          image: "https://picsum.photos/300/300/?image=41",
          title: "Title of card",
          body:
            "est natus enim nihil est dolore omnis voluptatem numquam et omnis occaecati quod ullam at voluptatem error expedita pariatur nihil sint nostrum voluptatem reiciendis e"
        },
        img: "image",
        card_title: "title",
        card_text: "body",
        bulk: true,
        a_href: [
          {
            label: "Bootstrap",
            href: "https://bootstrap-vue.js.org/docs/components/card"
          },
          {
            label: "Github",
            href: "https://github.com/"
          }
        ]
      }
    };
  },
  methods: {
    event_test(data) {
      console.log(data);
    }
  }
};
</script>

<style>
</style>
